IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network235.64.44.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
235.64.44.0- Broadcast address
235.64.47.255- First usable
235.64.44.1- Last usable
235.64.47.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
EB402C00· Integer3946851328to3946852351 - Reverse DNS zones
44.64.235.in-addr.arpa45.64.235.in-addr.arpa46.64.235.in-addr.arpa47.64.235.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101011.01000000.00101100.00000000 | 235.64.44.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11101011.01000000.00101100.00000000 | 235.64.44.0 |
| Broadcast | 11101011.01000000.00101111.11111111 | 235.64.47.255 |
Split into smaller subnets
235.64.44.0/22 makes 256 subnets of /30.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 235.64.44.0/30 | 235.64.44.1 to 235.64.44.2 | 235.64.44.3 | 2 |
| 2 | 235.64.44.4/30 | 235.64.44.5 to 235.64.44.6 | 235.64.44.7 | 2 |
| 3 | 235.64.44.8/30 | 235.64.44.9 to 235.64.44.10 | 235.64.44.11 | 2 |
| 4 | 235.64.44.12/30 | 235.64.44.13 to 235.64.44.14 | 235.64.44.15 | 2 |
| 5 | 235.64.44.16/30 | 235.64.44.17 to 235.64.44.18 | 235.64.44.19 | 2 |
| 6 | 235.64.44.20/30 | 235.64.44.21 to 235.64.44.22 | 235.64.44.23 | 2 |
| 7 | 235.64.44.24/30 | 235.64.44.25 to 235.64.44.26 | 235.64.44.27 | 2 |
| 8 | 235.64.44.28/30 | 235.64.44.29 to 235.64.44.30 | 235.64.44.31 | 2 |
| 9 | 235.64.44.32/30 | 235.64.44.33 to 235.64.44.34 | 235.64.44.35 | 2 |
| 10 | 235.64.44.36/30 | 235.64.44.37 to 235.64.44.38 | 235.64.44.39 | 2 |
| 11 | 235.64.44.40/30 | 235.64.44.41 to 235.64.44.42 | 235.64.44.43 | 2 |
| 12 | 235.64.44.44/30 | 235.64.44.45 to 235.64.44.46 | 235.64.44.47 | 2 |
| 13 | 235.64.44.48/30 | 235.64.44.49 to 235.64.44.50 | 235.64.44.51 | 2 |
| 14 | 235.64.44.52/30 | 235.64.44.53 to 235.64.44.54 | 235.64.44.55 | 2 |
| 15 | 235.64.44.56/30 | 235.64.44.57 to 235.64.44.58 | 235.64.44.59 | 2 |
| 16 | 235.64.44.60/30 | 235.64.44.61 to 235.64.44.62 | 235.64.44.63 | 2 |
| 17 | 235.64.44.64/30 | 235.64.44.65 to 235.64.44.66 | 235.64.44.67 | 2 |
| 18 | 235.64.44.68/30 | 235.64.44.69 to 235.64.44.70 | 235.64.44.71 | 2 |
| 19 | 235.64.44.72/30 | 235.64.44.73 to 235.64.44.74 | 235.64.44.75 | 2 |
| 20 | 235.64.44.76/30 | 235.64.44.77 to 235.64.44.78 | 235.64.44.79 | 2 |
| 21 | 235.64.44.80/30 | 235.64.44.81 to 235.64.44.82 | 235.64.44.83 | 2 |
| 22 | 235.64.44.84/30 | 235.64.44.85 to 235.64.44.86 | 235.64.44.87 | 2 |
| 23 | 235.64.44.88/30 | 235.64.44.89 to 235.64.44.90 | 235.64.44.91 | 2 |
| 24 | 235.64.44.92/30 | 235.64.44.93 to 235.64.44.94 | 235.64.44.95 | 2 |
| 25 | 235.64.44.96/30 | 235.64.44.97 to 235.64.44.98 | 235.64.44.99 | 2 |
| 26 | 235.64.44.100/30 | 235.64.44.101 to 235.64.44.102 | 235.64.44.103 | 2 |
| 27 | 235.64.44.104/30 | 235.64.44.105 to 235.64.44.106 | 235.64.44.107 | 2 |
| 28 | 235.64.44.108/30 | 235.64.44.109 to 235.64.44.110 | 235.64.44.111 | 2 |
| 29 | 235.64.44.112/30 | 235.64.44.113 to 235.64.44.114 | 235.64.44.115 | 2 |
| 30 | 235.64.44.116/30 | 235.64.44.117 to 235.64.44.118 | 235.64.44.119 | 2 |
| 31 | 235.64.44.120/30 | 235.64.44.121 to 235.64.44.122 | 235.64.44.123 | 2 |
| 32 | 235.64.44.124/30 | 235.64.44.125 to 235.64.44.126 | 235.64.44.127 | 2 |
| 33 | 235.64.44.128/30 | 235.64.44.129 to 235.64.44.130 | 235.64.44.131 | 2 |
| 34 | 235.64.44.132/30 | 235.64.44.133 to 235.64.44.134 | 235.64.44.135 | 2 |
| 35 | 235.64.44.136/30 | 235.64.44.137 to 235.64.44.138 | 235.64.44.139 | 2 |
| 36 | 235.64.44.140/30 | 235.64.44.141 to 235.64.44.142 | 235.64.44.143 | 2 |
| 37 | 235.64.44.144/30 | 235.64.44.145 to 235.64.44.146 | 235.64.44.147 | 2 |
| 38 | 235.64.44.148/30 | 235.64.44.149 to 235.64.44.150 | 235.64.44.151 | 2 |
| 39 | 235.64.44.152/30 | 235.64.44.153 to 235.64.44.154 | 235.64.44.155 | 2 |
| 40 | 235.64.44.156/30 | 235.64.44.157 to 235.64.44.158 | 235.64.44.159 | 2 |
| 41 | 235.64.44.160/30 | 235.64.44.161 to 235.64.44.162 | 235.64.44.163 | 2 |
| 42 | 235.64.44.164/30 | 235.64.44.165 to 235.64.44.166 | 235.64.44.167 | 2 |
| 43 | 235.64.44.168/30 | 235.64.44.169 to 235.64.44.170 | 235.64.44.171 | 2 |
| 44 | 235.64.44.172/30 | 235.64.44.173 to 235.64.44.174 | 235.64.44.175 | 2 |
| 45 | 235.64.44.176/30 | 235.64.44.177 to 235.64.44.178 | 235.64.44.179 | 2 |
| 46 | 235.64.44.180/30 | 235.64.44.181 to 235.64.44.182 | 235.64.44.183 | 2 |
| 47 | 235.64.44.184/30 | 235.64.44.185 to 235.64.44.186 | 235.64.44.187 | 2 |
| 48 | 235.64.44.188/30 | 235.64.44.189 to 235.64.44.190 | 235.64.44.191 | 2 |
| 49 | 235.64.44.192/30 | 235.64.44.193 to 235.64.44.194 | 235.64.44.195 | 2 |
| 50 | 235.64.44.196/30 | 235.64.44.197 to 235.64.44.198 | 235.64.44.199 | 2 |
| 51 | 235.64.44.200/30 | 235.64.44.201 to 235.64.44.202 | 235.64.44.203 | 2 |
| 52 | 235.64.44.204/30 | 235.64.44.205 to 235.64.44.206 | 235.64.44.207 | 2 |
| 53 | 235.64.44.208/30 | 235.64.44.209 to 235.64.44.210 | 235.64.44.211 | 2 |
| 54 | 235.64.44.212/30 | 235.64.44.213 to 235.64.44.214 | 235.64.44.215 | 2 |
| 55 | 235.64.44.216/30 | 235.64.44.217 to 235.64.44.218 | 235.64.44.219 | 2 |
| 56 | 235.64.44.220/30 | 235.64.44.221 to 235.64.44.222 | 235.64.44.223 | 2 |
| 57 | 235.64.44.224/30 | 235.64.44.225 to 235.64.44.226 | 235.64.44.227 | 2 |
| 58 | 235.64.44.228/30 | 235.64.44.229 to 235.64.44.230 | 235.64.44.231 | 2 |
| 59 | 235.64.44.232/30 | 235.64.44.233 to 235.64.44.234 | 235.64.44.235 | 2 |
| 60 | 235.64.44.236/30 | 235.64.44.237 to 235.64.44.238 | 235.64.44.239 | 2 |
| 61 | 235.64.44.240/30 | 235.64.44.241 to 235.64.44.242 | 235.64.44.243 | 2 |
| 62 | 235.64.44.244/30 | 235.64.44.245 to 235.64.44.246 | 235.64.44.247 | 2 |
| 63 | 235.64.44.248/30 | 235.64.44.249 to 235.64.44.250 | 235.64.44.251 | 2 |
| 64 | 235.64.44.252/30 | 235.64.44.253 to 235.64.44.254 | 235.64.44.255 | 2 |
| 65 | 235.64.45.0/30 | 235.64.45.1 to 235.64.45.2 | 235.64.45.3 | 2 |
| 66 | 235.64.45.4/30 | 235.64.45.5 to 235.64.45.6 | 235.64.45.7 | 2 |
| 67 | 235.64.45.8/30 | 235.64.45.9 to 235.64.45.10 | 235.64.45.11 | 2 |
| 68 | 235.64.45.12/30 | 235.64.45.13 to 235.64.45.14 | 235.64.45.15 | 2 |
| 69 | 235.64.45.16/30 | 235.64.45.17 to 235.64.45.18 | 235.64.45.19 | 2 |
| 70 | 235.64.45.20/30 | 235.64.45.21 to 235.64.45.22 | 235.64.45.23 | 2 |
| 71 | 235.64.45.24/30 | 235.64.45.25 to 235.64.45.26 | 235.64.45.27 | 2 |
| 72 | 235.64.45.28/30 | 235.64.45.29 to 235.64.45.30 | 235.64.45.31 | 2 |
| 73 | 235.64.45.32/30 | 235.64.45.33 to 235.64.45.34 | 235.64.45.35 | 2 |
| 74 | 235.64.45.36/30 | 235.64.45.37 to 235.64.45.38 | 235.64.45.39 | 2 |
| 75 | 235.64.45.40/30 | 235.64.45.41 to 235.64.45.42 | 235.64.45.43 | 2 |
| 76 | 235.64.45.44/30 | 235.64.45.45 to 235.64.45.46 | 235.64.45.47 | 2 |
| 77 | 235.64.45.48/30 | 235.64.45.49 to 235.64.45.50 | 235.64.45.51 | 2 |
| 78 | 235.64.45.52/30 | 235.64.45.53 to 235.64.45.54 | 235.64.45.55 | 2 |
| 79 | 235.64.45.56/30 | 235.64.45.57 to 235.64.45.58 | 235.64.45.59 | 2 |
| 80 | 235.64.45.60/30 | 235.64.45.61 to 235.64.45.62 | 235.64.45.63 | 2 |
| 81 | 235.64.45.64/30 | 235.64.45.65 to 235.64.45.66 | 235.64.45.67 | 2 |
| 82 | 235.64.45.68/30 | 235.64.45.69 to 235.64.45.70 | 235.64.45.71 | 2 |
| 83 | 235.64.45.72/30 | 235.64.45.73 to 235.64.45.74 | 235.64.45.75 | 2 |
| 84 | 235.64.45.76/30 | 235.64.45.77 to 235.64.45.78 | 235.64.45.79 | 2 |
| 85 | 235.64.45.80/30 | 235.64.45.81 to 235.64.45.82 | 235.64.45.83 | 2 |
| 86 | 235.64.45.84/30 | 235.64.45.85 to 235.64.45.86 | 235.64.45.87 | 2 |
| 87 | 235.64.45.88/30 | 235.64.45.89 to 235.64.45.90 | 235.64.45.91 | 2 |
| 88 | 235.64.45.92/30 | 235.64.45.93 to 235.64.45.94 | 235.64.45.95 | 2 |
| 89 | 235.64.45.96/30 | 235.64.45.97 to 235.64.45.98 | 235.64.45.99 | 2 |
| 90 | 235.64.45.100/30 | 235.64.45.101 to 235.64.45.102 | 235.64.45.103 | 2 |
| 91 | 235.64.45.104/30 | 235.64.45.105 to 235.64.45.106 | 235.64.45.107 | 2 |
| 92 | 235.64.45.108/30 | 235.64.45.109 to 235.64.45.110 | 235.64.45.111 | 2 |
| 93 | 235.64.45.112/30 | 235.64.45.113 to 235.64.45.114 | 235.64.45.115 | 2 |
| 94 | 235.64.45.116/30 | 235.64.45.117 to 235.64.45.118 | 235.64.45.119 | 2 |
| 95 | 235.64.45.120/30 | 235.64.45.121 to 235.64.45.122 | 235.64.45.123 | 2 |
| 96 | 235.64.45.124/30 | 235.64.45.125 to 235.64.45.126 | 235.64.45.127 | 2 |
| 97 | 235.64.45.128/30 | 235.64.45.129 to 235.64.45.130 | 235.64.45.131 | 2 |
| 98 | 235.64.45.132/30 | 235.64.45.133 to 235.64.45.134 | 235.64.45.135 | 2 |
| 99 | 235.64.45.136/30 | 235.64.45.137 to 235.64.45.138 | 235.64.45.139 | 2 |
| 100 | 235.64.45.140/30 | 235.64.45.141 to 235.64.45.142 | 235.64.45.143 | 2 |
| 101 | 235.64.45.144/30 | 235.64.45.145 to 235.64.45.146 | 235.64.45.147 | 2 |
| 102 | 235.64.45.148/30 | 235.64.45.149 to 235.64.45.150 | 235.64.45.151 | 2 |
| 103 | 235.64.45.152/30 | 235.64.45.153 to 235.64.45.154 | 235.64.45.155 | 2 |
| 104 | 235.64.45.156/30 | 235.64.45.157 to 235.64.45.158 | 235.64.45.159 | 2 |
| 105 | 235.64.45.160/30 | 235.64.45.161 to 235.64.45.162 | 235.64.45.163 | 2 |
| 106 | 235.64.45.164/30 | 235.64.45.165 to 235.64.45.166 | 235.64.45.167 | 2 |
| 107 | 235.64.45.168/30 | 235.64.45.169 to 235.64.45.170 | 235.64.45.171 | 2 |
| 108 | 235.64.45.172/30 | 235.64.45.173 to 235.64.45.174 | 235.64.45.175 | 2 |
| 109 | 235.64.45.176/30 | 235.64.45.177 to 235.64.45.178 | 235.64.45.179 | 2 |
| 110 | 235.64.45.180/30 | 235.64.45.181 to 235.64.45.182 | 235.64.45.183 | 2 |
| 111 | 235.64.45.184/30 | 235.64.45.185 to 235.64.45.186 | 235.64.45.187 | 2 |
| 112 | 235.64.45.188/30 | 235.64.45.189 to 235.64.45.190 | 235.64.45.191 | 2 |
| 113 | 235.64.45.192/30 | 235.64.45.193 to 235.64.45.194 | 235.64.45.195 | 2 |
| 114 | 235.64.45.196/30 | 235.64.45.197 to 235.64.45.198 | 235.64.45.199 | 2 |
| 115 | 235.64.45.200/30 | 235.64.45.201 to 235.64.45.202 | 235.64.45.203 | 2 |
| 116 | 235.64.45.204/30 | 235.64.45.205 to 235.64.45.206 | 235.64.45.207 | 2 |
| 117 | 235.64.45.208/30 | 235.64.45.209 to 235.64.45.210 | 235.64.45.211 | 2 |
| 118 | 235.64.45.212/30 | 235.64.45.213 to 235.64.45.214 | 235.64.45.215 | 2 |
| 119 | 235.64.45.216/30 | 235.64.45.217 to 235.64.45.218 | 235.64.45.219 | 2 |
| 120 | 235.64.45.220/30 | 235.64.45.221 to 235.64.45.222 | 235.64.45.223 | 2 |
| 121 | 235.64.45.224/30 | 235.64.45.225 to 235.64.45.226 | 235.64.45.227 | 2 |
| 122 | 235.64.45.228/30 | 235.64.45.229 to 235.64.45.230 | 235.64.45.231 | 2 |
| 123 | 235.64.45.232/30 | 235.64.45.233 to 235.64.45.234 | 235.64.45.235 | 2 |
| 124 | 235.64.45.236/30 | 235.64.45.237 to 235.64.45.238 | 235.64.45.239 | 2 |
| 125 | 235.64.45.240/30 | 235.64.45.241 to 235.64.45.242 | 235.64.45.243 | 2 |
| 126 | 235.64.45.244/30 | 235.64.45.245 to 235.64.45.246 | 235.64.45.247 | 2 |
| 127 | 235.64.45.248/30 | 235.64.45.249 to 235.64.45.250 | 235.64.45.251 | 2 |
| 128 | 235.64.45.252/30 | 235.64.45.253 to 235.64.45.254 | 235.64.45.255 | 2 |
| 129 | 235.64.46.0/30 | 235.64.46.1 to 235.64.46.2 | 235.64.46.3 | 2 |
| 130 | 235.64.46.4/30 | 235.64.46.5 to 235.64.46.6 | 235.64.46.7 | 2 |
| 131 | 235.64.46.8/30 | 235.64.46.9 to 235.64.46.10 | 235.64.46.11 | 2 |
| 132 | 235.64.46.12/30 | 235.64.46.13 to 235.64.46.14 | 235.64.46.15 | 2 |
| 133 | 235.64.46.16/30 | 235.64.46.17 to 235.64.46.18 | 235.64.46.19 | 2 |
| 134 | 235.64.46.20/30 | 235.64.46.21 to 235.64.46.22 | 235.64.46.23 | 2 |
| 135 | 235.64.46.24/30 | 235.64.46.25 to 235.64.46.26 | 235.64.46.27 | 2 |
| 136 | 235.64.46.28/30 | 235.64.46.29 to 235.64.46.30 | 235.64.46.31 | 2 |
| 137 | 235.64.46.32/30 | 235.64.46.33 to 235.64.46.34 | 235.64.46.35 | 2 |
| 138 | 235.64.46.36/30 | 235.64.46.37 to 235.64.46.38 | 235.64.46.39 | 2 |
| 139 | 235.64.46.40/30 | 235.64.46.41 to 235.64.46.42 | 235.64.46.43 | 2 |
| 140 | 235.64.46.44/30 | 235.64.46.45 to 235.64.46.46 | 235.64.46.47 | 2 |
| 141 | 235.64.46.48/30 | 235.64.46.49 to 235.64.46.50 | 235.64.46.51 | 2 |
| 142 | 235.64.46.52/30 | 235.64.46.53 to 235.64.46.54 | 235.64.46.55 | 2 |
| 143 | 235.64.46.56/30 | 235.64.46.57 to 235.64.46.58 | 235.64.46.59 | 2 |
| 144 | 235.64.46.60/30 | 235.64.46.61 to 235.64.46.62 | 235.64.46.63 | 2 |
| 145 | 235.64.46.64/30 | 235.64.46.65 to 235.64.46.66 | 235.64.46.67 | 2 |
| 146 | 235.64.46.68/30 | 235.64.46.69 to 235.64.46.70 | 235.64.46.71 | 2 |
| 147 | 235.64.46.72/30 | 235.64.46.73 to 235.64.46.74 | 235.64.46.75 | 2 |
| 148 | 235.64.46.76/30 | 235.64.46.77 to 235.64.46.78 | 235.64.46.79 | 2 |
| 149 | 235.64.46.80/30 | 235.64.46.81 to 235.64.46.82 | 235.64.46.83 | 2 |
| 150 | 235.64.46.84/30 | 235.64.46.85 to 235.64.46.86 | 235.64.46.87 | 2 |
| 151 | 235.64.46.88/30 | 235.64.46.89 to 235.64.46.90 | 235.64.46.91 | 2 |
| 152 | 235.64.46.92/30 | 235.64.46.93 to 235.64.46.94 | 235.64.46.95 | 2 |
| 153 | 235.64.46.96/30 | 235.64.46.97 to 235.64.46.98 | 235.64.46.99 | 2 |
| 154 | 235.64.46.100/30 | 235.64.46.101 to 235.64.46.102 | 235.64.46.103 | 2 |
| 155 | 235.64.46.104/30 | 235.64.46.105 to 235.64.46.106 | 235.64.46.107 | 2 |
| 156 | 235.64.46.108/30 | 235.64.46.109 to 235.64.46.110 | 235.64.46.111 | 2 |
| 157 | 235.64.46.112/30 | 235.64.46.113 to 235.64.46.114 | 235.64.46.115 | 2 |
| 158 | 235.64.46.116/30 | 235.64.46.117 to 235.64.46.118 | 235.64.46.119 | 2 |
| 159 | 235.64.46.120/30 | 235.64.46.121 to 235.64.46.122 | 235.64.46.123 | 2 |
| 160 | 235.64.46.124/30 | 235.64.46.125 to 235.64.46.126 | 235.64.46.127 | 2 |
| 161 | 235.64.46.128/30 | 235.64.46.129 to 235.64.46.130 | 235.64.46.131 | 2 |
| 162 | 235.64.46.132/30 | 235.64.46.133 to 235.64.46.134 | 235.64.46.135 | 2 |
| 163 | 235.64.46.136/30 | 235.64.46.137 to 235.64.46.138 | 235.64.46.139 | 2 |
| 164 | 235.64.46.140/30 | 235.64.46.141 to 235.64.46.142 | 235.64.46.143 | 2 |
| 165 | 235.64.46.144/30 | 235.64.46.145 to 235.64.46.146 | 235.64.46.147 | 2 |
| 166 | 235.64.46.148/30 | 235.64.46.149 to 235.64.46.150 | 235.64.46.151 | 2 |
| 167 | 235.64.46.152/30 | 235.64.46.153 to 235.64.46.154 | 235.64.46.155 | 2 |
| 168 | 235.64.46.156/30 | 235.64.46.157 to 235.64.46.158 | 235.64.46.159 | 2 |
| 169 | 235.64.46.160/30 | 235.64.46.161 to 235.64.46.162 | 235.64.46.163 | 2 |
| 170 | 235.64.46.164/30 | 235.64.46.165 to 235.64.46.166 | 235.64.46.167 | 2 |
| 171 | 235.64.46.168/30 | 235.64.46.169 to 235.64.46.170 | 235.64.46.171 | 2 |
| 172 | 235.64.46.172/30 | 235.64.46.173 to 235.64.46.174 | 235.64.46.175 | 2 |
| 173 | 235.64.46.176/30 | 235.64.46.177 to 235.64.46.178 | 235.64.46.179 | 2 |
| 174 | 235.64.46.180/30 | 235.64.46.181 to 235.64.46.182 | 235.64.46.183 | 2 |
| 175 | 235.64.46.184/30 | 235.64.46.185 to 235.64.46.186 | 235.64.46.187 | 2 |
| 176 | 235.64.46.188/30 | 235.64.46.189 to 235.64.46.190 | 235.64.46.191 | 2 |
| 177 | 235.64.46.192/30 | 235.64.46.193 to 235.64.46.194 | 235.64.46.195 | 2 |
| 178 | 235.64.46.196/30 | 235.64.46.197 to 235.64.46.198 | 235.64.46.199 | 2 |
| 179 | 235.64.46.200/30 | 235.64.46.201 to 235.64.46.202 | 235.64.46.203 | 2 |
| 180 | 235.64.46.204/30 | 235.64.46.205 to 235.64.46.206 | 235.64.46.207 | 2 |
| 181 | 235.64.46.208/30 | 235.64.46.209 to 235.64.46.210 | 235.64.46.211 | 2 |
| 182 | 235.64.46.212/30 | 235.64.46.213 to 235.64.46.214 | 235.64.46.215 | 2 |
| 183 | 235.64.46.216/30 | 235.64.46.217 to 235.64.46.218 | 235.64.46.219 | 2 |
| 184 | 235.64.46.220/30 | 235.64.46.221 to 235.64.46.222 | 235.64.46.223 | 2 |
| 185 | 235.64.46.224/30 | 235.64.46.225 to 235.64.46.226 | 235.64.46.227 | 2 |
| 186 | 235.64.46.228/30 | 235.64.46.229 to 235.64.46.230 | 235.64.46.231 | 2 |
| 187 | 235.64.46.232/30 | 235.64.46.233 to 235.64.46.234 | 235.64.46.235 | 2 |
| 188 | 235.64.46.236/30 | 235.64.46.237 to 235.64.46.238 | 235.64.46.239 | 2 |
| 189 | 235.64.46.240/30 | 235.64.46.241 to 235.64.46.242 | 235.64.46.243 | 2 |
| 190 | 235.64.46.244/30 | 235.64.46.245 to 235.64.46.246 | 235.64.46.247 | 2 |
| 191 | 235.64.46.248/30 | 235.64.46.249 to 235.64.46.250 | 235.64.46.251 | 2 |
| 192 | 235.64.46.252/30 | 235.64.46.253 to 235.64.46.254 | 235.64.46.255 | 2 |
| 193 | 235.64.47.0/30 | 235.64.47.1 to 235.64.47.2 | 235.64.47.3 | 2 |
| 194 | 235.64.47.4/30 | 235.64.47.5 to 235.64.47.6 | 235.64.47.7 | 2 |
| 195 | 235.64.47.8/30 | 235.64.47.9 to 235.64.47.10 | 235.64.47.11 | 2 |
| 196 | 235.64.47.12/30 | 235.64.47.13 to 235.64.47.14 | 235.64.47.15 | 2 |
| 197 | 235.64.47.16/30 | 235.64.47.17 to 235.64.47.18 | 235.64.47.19 | 2 |
| 198 | 235.64.47.20/30 | 235.64.47.21 to 235.64.47.22 | 235.64.47.23 | 2 |
| 199 | 235.64.47.24/30 | 235.64.47.25 to 235.64.47.26 | 235.64.47.27 | 2 |
| 200 | 235.64.47.28/30 | 235.64.47.29 to 235.64.47.30 | 235.64.47.31 | 2 |
| 201 | 235.64.47.32/30 | 235.64.47.33 to 235.64.47.34 | 235.64.47.35 | 2 |
| 202 | 235.64.47.36/30 | 235.64.47.37 to 235.64.47.38 | 235.64.47.39 | 2 |
| 203 | 235.64.47.40/30 | 235.64.47.41 to 235.64.47.42 | 235.64.47.43 | 2 |
| 204 | 235.64.47.44/30 | 235.64.47.45 to 235.64.47.46 | 235.64.47.47 | 2 |
| 205 | 235.64.47.48/30 | 235.64.47.49 to 235.64.47.50 | 235.64.47.51 | 2 |
| 206 | 235.64.47.52/30 | 235.64.47.53 to 235.64.47.54 | 235.64.47.55 | 2 |
| 207 | 235.64.47.56/30 | 235.64.47.57 to 235.64.47.58 | 235.64.47.59 | 2 |
| 208 | 235.64.47.60/30 | 235.64.47.61 to 235.64.47.62 | 235.64.47.63 | 2 |
| 209 | 235.64.47.64/30 | 235.64.47.65 to 235.64.47.66 | 235.64.47.67 | 2 |
| 210 | 235.64.47.68/30 | 235.64.47.69 to 235.64.47.70 | 235.64.47.71 | 2 |
| 211 | 235.64.47.72/30 | 235.64.47.73 to 235.64.47.74 | 235.64.47.75 | 2 |
| 212 | 235.64.47.76/30 | 235.64.47.77 to 235.64.47.78 | 235.64.47.79 | 2 |
| 213 | 235.64.47.80/30 | 235.64.47.81 to 235.64.47.82 | 235.64.47.83 | 2 |
| 214 | 235.64.47.84/30 | 235.64.47.85 to 235.64.47.86 | 235.64.47.87 | 2 |
| 215 | 235.64.47.88/30 | 235.64.47.89 to 235.64.47.90 | 235.64.47.91 | 2 |
| 216 | 235.64.47.92/30 | 235.64.47.93 to 235.64.47.94 | 235.64.47.95 | 2 |
| 217 | 235.64.47.96/30 | 235.64.47.97 to 235.64.47.98 | 235.64.47.99 | 2 |
| 218 | 235.64.47.100/30 | 235.64.47.101 to 235.64.47.102 | 235.64.47.103 | 2 |
| 219 | 235.64.47.104/30 | 235.64.47.105 to 235.64.47.106 | 235.64.47.107 | 2 |
| 220 | 235.64.47.108/30 | 235.64.47.109 to 235.64.47.110 | 235.64.47.111 | 2 |
| 221 | 235.64.47.112/30 | 235.64.47.113 to 235.64.47.114 | 235.64.47.115 | 2 |
| 222 | 235.64.47.116/30 | 235.64.47.117 to 235.64.47.118 | 235.64.47.119 | 2 |
| 223 | 235.64.47.120/30 | 235.64.47.121 to 235.64.47.122 | 235.64.47.123 | 2 |
| 224 | 235.64.47.124/30 | 235.64.47.125 to 235.64.47.126 | 235.64.47.127 | 2 |
| 225 | 235.64.47.128/30 | 235.64.47.129 to 235.64.47.130 | 235.64.47.131 | 2 |
| 226 | 235.64.47.132/30 | 235.64.47.133 to 235.64.47.134 | 235.64.47.135 | 2 |
| 227 | 235.64.47.136/30 | 235.64.47.137 to 235.64.47.138 | 235.64.47.139 | 2 |
| 228 | 235.64.47.140/30 | 235.64.47.141 to 235.64.47.142 | 235.64.47.143 | 2 |
| 229 | 235.64.47.144/30 | 235.64.47.145 to 235.64.47.146 | 235.64.47.147 | 2 |
| 230 | 235.64.47.148/30 | 235.64.47.149 to 235.64.47.150 | 235.64.47.151 | 2 |
| 231 | 235.64.47.152/30 | 235.64.47.153 to 235.64.47.154 | 235.64.47.155 | 2 |
| 232 | 235.64.47.156/30 | 235.64.47.157 to 235.64.47.158 | 235.64.47.159 | 2 |
| 233 | 235.64.47.160/30 | 235.64.47.161 to 235.64.47.162 | 235.64.47.163 | 2 |
| 234 | 235.64.47.164/30 | 235.64.47.165 to 235.64.47.166 | 235.64.47.167 | 2 |
| 235 | 235.64.47.168/30 | 235.64.47.169 to 235.64.47.170 | 235.64.47.171 | 2 |
| 236 | 235.64.47.172/30 | 235.64.47.173 to 235.64.47.174 | 235.64.47.175 | 2 |
| 237 | 235.64.47.176/30 | 235.64.47.177 to 235.64.47.178 | 235.64.47.179 | 2 |
| 238 | 235.64.47.180/30 | 235.64.47.181 to 235.64.47.182 | 235.64.47.183 | 2 |
| 239 | 235.64.47.184/30 | 235.64.47.185 to 235.64.47.186 | 235.64.47.187 | 2 |
| 240 | 235.64.47.188/30 | 235.64.47.189 to 235.64.47.190 | 235.64.47.191 | 2 |
| 241 | 235.64.47.192/30 | 235.64.47.193 to 235.64.47.194 | 235.64.47.195 | 2 |
| 242 | 235.64.47.196/30 | 235.64.47.197 to 235.64.47.198 | 235.64.47.199 | 2 |
| 243 | 235.64.47.200/30 | 235.64.47.201 to 235.64.47.202 | 235.64.47.203 | 2 |
| 244 | 235.64.47.204/30 | 235.64.47.205 to 235.64.47.206 | 235.64.47.207 | 2 |
| 245 | 235.64.47.208/30 | 235.64.47.209 to 235.64.47.210 | 235.64.47.211 | 2 |
| 246 | 235.64.47.212/30 | 235.64.47.213 to 235.64.47.214 | 235.64.47.215 | 2 |
| 247 | 235.64.47.216/30 | 235.64.47.217 to 235.64.47.218 | 235.64.47.219 | 2 |
| 248 | 235.64.47.220/30 | 235.64.47.221 to 235.64.47.222 | 235.64.47.223 | 2 |
| 249 | 235.64.47.224/30 | 235.64.47.225 to 235.64.47.226 | 235.64.47.227 | 2 |
| 250 | 235.64.47.228/30 | 235.64.47.229 to 235.64.47.230 | 235.64.47.231 | 2 |
| 251 | 235.64.47.232/30 | 235.64.47.233 to 235.64.47.234 | 235.64.47.235 | 2 |
| 252 | 235.64.47.236/30 | 235.64.47.237 to 235.64.47.238 | 235.64.47.239 | 2 |
| 253 | 235.64.47.240/30 | 235.64.47.241 to 235.64.47.242 | 235.64.47.243 | 2 |
| 254 | 235.64.47.244/30 | 235.64.47.245 to 235.64.47.246 | 235.64.47.247 | 2 |
| 255 | 235.64.47.248/30 | 235.64.47.249 to 235.64.47.250 | 235.64.47.251 | 2 |
| 256 | 235.64.47.252/30 | 235.64.47.253 to 235.64.47.254 | 235.64.47.255 | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |